Bug 116241 - Customizing value highlighting colors for colorblind users
Summary: Customizing value highlighting colors for colorblind users
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.1.0
Keywords: accessibility
Depends on:
Blocks: a11y Value-Highlighting
  Show dependency treegraph
 
Reported: 2018-03-06 15:59 UTC by Aron Budea
Modified: 2018-06-16 17:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test document (8.77 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-03-19 18:36 UTC, Szymon Kłos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-03-06 15:59:27 UTC
In Calc when View -> Value Highlighting is enabled, values are displayed as follows:
"Text cells are formatted in black, formulas in green, number cells in blue, and protected cells are shown with light grey background, no matter how their display is formatted."
https://help.libreoffice.org/Calc/Value_Highlighting

I received feedback that eg. green can be particularly hard/impossible to see for colorblind users (of course it depends on the kind and degree of colorblindness), so a way to configure the highlight colors could be useful.

As far as I can see the fixed colors are set here:
https://opengrok.libreoffice.org/xref/core/sc/source/ui/view/output.cxx#292
void ScOutputData::SetSyntaxMode( bool bNewMode ) { ... }


I'm not sure where the best place to set the colors would be: Application Colors vs. Expert Configuration.
One could also argue towards setting up color profiles for different kinds of color blindnesses, and provide sensible defaults, but that looks like a larger chunk of work.
Comment 1 Alex ARNAUD 2018-03-07 18:08:13 UTC
Hello,

I agree with you. I'm visual-impaired and I don't see all the colors myself and such feature could help me and other people more colorblind a lot.

I prefer to avoid expert configuration because colorblind have not to be expert to  change their configuration.

Best regards.
Comment 2 Szymon Kłos 2018-03-19 18:36:36 UTC
Created attachment 140719 [details]
test document
Comment 3 Commit Notification 2018-03-21 16:55:11 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fb29b8262488d045a926504725669a362bacb5bb

tdf#116241 Customizing value highlighting colors

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Szymon Kłos 2018-03-21 16:56:11 UTC
How to test:
Open Calc.
Tools -> Options -> LibreOffice Calc -> View -> Highlighting
Comment 5 Commit Notification 2018-03-23 19:49:11 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=154496aefe67b81f80d7c08d12bfb145eddb93ac

Revert "tdf#116241 Customizing value highlighting colors"

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Alex ARNAUD 2018-03-25 18:39:49 UTC
Hello all,

I no longer understand what is the status of this bug? Does the fix pushed by  Szymon Kłos should be tested or it is not enough to fix the issue?

Best regards,
Alex.
Comment 7 Szymon Kłos 2018-03-26 07:31:01 UTC
I reverted my change because I'm going to move color configuration to other place - "Application colors". My fix will be available soon.
Comment 8 Commit Notification 2018-03-26 21:24:55 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=030c30b33b569a38241ac8bd03a2de1fba2313cc

tdf#116241 Customizing value highlighting colors

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-04-03 08:45:12 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=3d8a38dd7bcd9221891c487814dad8bd18785522

tdf#116241 Customizing value highlighting colors -- help text
Comment 10 Alex ARNAUD 2018-06-16 17:16:51 UTC
Hello all,

I confirm that the bug is correctly fixed. Thanks a lot Andras Timar for this fix.

Best regards,
Alex.